gromox-export(8)

Name
gromox-export — Utility to export Gromox messages to various formats

Synopsis
gromox-exm2eml -u user@domain.example [folder_id:]message_id

gromox-exm2ical -u user@domain.example [folder_id:]message_id

gromox-exm2vcf -u user@domain.example [folder_id:]message_id

gromox-exm2mt -u user@domain.example [-ars] {folder_spec|ffolder_id|[folder_id:]message_id}... >file.mt

gromox-exm2tnef -u user@domain.example [folder_id:]message_id >file.tnef

Description
gromox-export reads folders or messages from an exmdb information store and exports it in various formats. depending on which name it was invoked with. ("exm" is short for exmdb and refers to the network protocol used to talk to the message store.) Multiple messages may only be exported to GXMT. ACLs are not extracted yet. Export to PST is not possible: the external library libpff has only implemented reading.

Folders can be selected by symbolic name or by folder path (see gromox-mbop(8) section "Folder specification" for that). To select a folder by numeric ID, use the 'f' prefix, e.g. f13 or f0xd. To select a message by numeric ID, use the ID 262145 or 0x10001. The syntax 13:262145 reads a message using the Instance API (i.e. using a copy-on-write object) and validates that the message is indeed in that folder; this mode is only relevant for developers really.

An alternate way to get an EML representation is using grommunio-web's "Export as > EML file(s)" function from the context menu of a mail item.

Options

--ical
    Selects iCalendar (RFC 5545) as the output format. This is the default if the program was invoked as gromox-exm2ical.

--mail
    Selects Internet Mail (RFC 5322) as the output format. This is the default if the program was invoked as gromox-exm2eml.

--mt
    Selects Gromox Mailbox Transfer (GXMT) as the output format. This is the default if the program was invoked as gromox-export or gromox-exm2mt.

--tnef
    Selects Transport Neutral Encapsulation Format (TNEF) as the output format. This is the default if the program was invoked as gromox-exm2tnef.

--vcard
    Selects vCard (RFC 6350) as the output format. This is the default if the program was invoked as gromox-exm2vcf.

-a  Include Folder Associated Information (FAI), a.k.a. MAPI_ASSOCIATED messages in the export as well. (PST export from Outlook would omit them; hence this is also a separate option for gromox-export.)

-p  Show properties in detail (enhances -t).

-r  Process folders recursively. (Only in conjunction with GXMT export.)

-s  Mark objects for splicing when later imported. For example, objects exported from, and originally located in Sent Items are, upon import, placed in the target mailbox's Sent Items.

-t  As the source message is read, print a diagnostic tree view of the MAPI properties to stderr.

-u [user]@domin.example
    Source mail store from which to load the message from. For the public folder of a domain, leave out the local part, i.e. use @domain.example.

--loglevel n
    Maximum verbosity of general logging (not connected to -p, -t or -v). 1=crit, 2=error, 3=warn, 4=notice, 5=info, 6=debug.
    Default: 4 (notice)

Examples

•   Export entire mailbox: gromox-exm2mt -u user@example.com -ar / >dump.mt

•   Export most of the mailbox (as Outlook would): gromox-exm2mt -u u@e.xz -r IPM_SUBTREE >dump.mt
    Note: Favorites, Shortcuts, Quick Steps, Search Folders, some view settings, grommunio-sync states are all stored outside of IPM_SUBTREE. In Exchange, softdeleted items are stored outside of IPM_SUBTREE as regular messages; in Gromox 3.6, they are stored as invisible items with the actual folder and never part of an export (this might change in the future, though).

•   Export two folders without subordinates: gromox-exm2mt -u u@e.xz IPM_SUBTREE/Foo IPM_SUBTREE/Bar >dump.mt

•   Export a single message as RFC5322: gromox-exm2eml -u u@e.xz 0x10001 >10001.eml

•   Export a MAPI contact as vcard: gromox-exm2vcf -u u@e.xz 0x30001 >30001.vcf

See also
gromox(7), gromox-eml2mt(8)